### Method

# GdkPixbuf Pixbuf save_to_bufferv

#### Declaration [src]

    gboolean
    gdk_pixbuf_save_to_bufferv (
      GdkPixbuf* pixbuf,
      gchar** buffer,
      gsize* buffer_size,
      const char* type,
      char** option_keys,
      char** option_values,
      GError** error
    )

#### Description [src]

Vector version of `gdk_pixbuf_save_to_buffer()`.

Saves pixbuf to a new buffer in format `type`, which is currently “jpeg”, “tiff”, “png”, “ico” or “bmp”.

See `gdk_pixbuf_save_to_buffer()` for more details.

Available since: | 2.4

#### Parameters

`buffer` | An array of `guint8`
| location to receive a pointer to the new buffer.
| The argument will be set by the function.
| The length of the array is specified in the `buffer_size` argument.
| The instance takes ownership of the data, and is responsible for freeing it.
`buffer_size` | `gsize*`
| Location to receive the size of the new buffer.
| The argument will be set by the function.
`type` | `const char*`
| Name of file format.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`option_keys` | An array of `utf8`
| Name of options to set.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`option_values` | An array of `utf8`
| Values for named options.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether an error was set.